package com.goafanti.common.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.goafanti.cognizance.bo.AnnualReportPropertyRightBo;
import com.goafanti.cognizance.bo.OrgIntellectualPropertyDetailBo;
import com.goafanti.common.model.OrgIntellectualProperty;

public interface OrgIntellectualPropertyMapper {
	int deleteByPrimaryKey(String id);

	int insert(OrgIntellectualProperty record);

	int insertSelective(OrgIntellectualProperty record);

	OrgIntellectualProperty selectByPrimaryKey(String id);

	int updateByPrimaryKeySelective(OrgIntellectualProperty record);

	int updateByPrimaryKey(OrgIntellectualProperty record);

	int batchDeleteByPrimaryKey(List<String> id);

	OrgIntellectualProperty selectOrgIntellectualPropertyByPid(String pid);

	OrgIntellectualPropertyDetailBo selectPatentTypeDetail(String id);

	OrgIntellectualPropertyDetailBo selectCopyrightTypeDetail(String id);

	List<OrgIntellectualProperty> selectIntellectualPropertyList(Integer year, String uid);

	AnnualReportPropertyRightBo selectIntellectualPropertyCount(Integer year, String uid);

	Integer findIntellectualPropertyNum(String uid);

	OrgIntellectualProperty findByUidAndIntellectualPropertyNumber(@Param("uid") String uid,
			@Param("intellectualPropertyNumber") String intellectualPropertyNumber);
}